Anda di halaman 1dari 22

coretan tentang autocad dan excel

http://cadex.wordpress.com/

coretan tentang autocad dan excel


January 23, 2012
[CAD-MAP-12]: Menulis Text Jarak dan Azimut Menggunakan Query dan Annotation di AutocadMap
Filed under: AutoCAD,Map cadex @ 12:47 Tags: Map Annotation, Map Query Referensi : [CAD-MAP-11]: Labelling Titik Tinggi Menggunakan Annotation di AutocadMap Platform : AutocadMap, Land Development dan Civil 3D Lokasi File : Kadang kita membutuhkan informasi jarak dan azimut (sudut yang dihitung dari arah utara searah jarum jam) pada gambar polyline untuk keperluan misalnya antara lain: pengecekan pengukuran jarak dan sudut pengembalian batas tanah dari poligon terdekat stake out dll Beberapa cara penulisan label di Autocad dan AutocadMap yang pernah aku coba adalah: Menggunan fasilitas query di autocadmap. Menggunakan fasilitas annotation di autocadmap. Cara ini bisa diterapkan jika program autocadmap sudah support annotation Menggunakan Autolisp di Autocad Note: Karena saat instalasi program Land Development dan Civil 3D otomatis terinstall modul Map, maka langkah-langkah yang diuraikan di bawah juga bisa dipraktekkan di program tersebut. Pada tutorial ini saya menggukan Civil 3D 2011 A. Menulis text jarak dan azimut menggunakan query. Ide metode ini adalah dengan mengambil informasi line properties Length dan Angle. Besaran sudut (angle) yang ada di Line properties dihitung dari sumbu X berlawanan arah jarum jam. Untuk mendapatkan nilai azimut (sudut dari sumbu Y searah jarum jam), maka perlu dilakukan konversi sudut dengan rumus berikut: Azimut=90-Angle Karena informasi jarak dan azimut diambil dari line properties, maka apabila object yang akan diberi label berupa polyline, perlu di explode menjadi object line. Ketikkan explode di command line untuk merubah polyline menjadi line. Command: explode

Berikut langkah-langkahnya: 1. Misal file yang berisi polyline yang sudah di exploded bernama [polyline.dwg] dan sudah tersimpan di folder c:\caddwg\ 2. Buat file baru di AuotcadMap. Yakinkan bahwa file polyline.dwg tidak terbuka, tutup file tersebut jika masih terbuka. 3. Aktifkan Task Pane Map, dengan mengetikkan di command:mapwspace Pilih Tab Map Explorer Click kanan icon drawing, kemudian pilih [Attach...] Buat drive alias ke folder c:\caddwg\ dengan click icon

Pada kotak dialog [Drive Alias Administration], masukkan nama drive alias dan lokasi foldernya, kemudian click [Add] lalu [Close]. Pada contoh saya masukkan nama drive alias DataCAD yang mengacu ke folder c:\caddwg 4. Rubah drive alias ke DataCAD, pilih nama file polyline.dwg Click tombol [Add], kemudian [OK] untuk menutup kotak dialog

1 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

5. Melakukan query dari attached drawing. Pada tab Map Explorer di bawah folder Query Library, click kanan icon Current Query kemudian pilih Define.

Akan ditampilkan kotak dialog Define query : Pada group Query Type, Click tombol [Location], kemudian pilih Boundary Type , All Pada group Query Mode, pilih Draw Di group Options, click check box, kemudian click tombol [Alter Properties] Pada kotak dialog Set Property Alterations, click tombol [Text] di group Select Property

5.1. Penulisan label azimut, di kotak dialog Define Text lakukan setting sebagai berikut: Text Value: (ANGTOS (- (* 0.5 pi) .ANGLE) 1 4) Rotation: (/ (* .ANGLE 180) pi) keterangan fungsi autolisp di Text Value adalah (- (* 0.5 pi) .ANGLE) > menghitunga azimut (90-Sudut) dalam satuan radian (ANGTOS (- (* 0.5 pi) .ANGLE) 1 4)>merubah sudut ke format derajat-menit-detik pada isian Rotation dimaksudkan agar text tertulis sesuai dengan arah line. Jika sudah selesai click tombol [OK] 5.2. Penulisan Label Jarak Click lagi tombol [Alter Properties], kemudian click tombol [text] Pada kotak dialog Define text lakukan setting sebagai berikut

Tampilan kotak dialog Set Property Alteration menjadi : Click tombol [OK]. Click tombol [Execute Query] di kotak dialog Define Query

2 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Contoh tampilan label setelah Query dibandingkan dengan dimension di autocad Label berwarna merah adalah hasil query.

B. Menulis text jarak dan azimut menggunakan Annotation. Langkah-langkah ini jika program autcadmap Anda sudah support Annotation 1. Buat Block yang memuat map annotation Ketik di command: MapAnnTemplate Perintah di atas sama dengan tahapan sebagai berikut, jika Anda ada di workspace autocad Map: Pada menu [Annotate], pilih Tab [Map Annotation] Click icon [Define Template], untuk menampilkan kotak dialog [Define Annotation Template] Click [New] untuk membuat template baru Masukkan nama template misalnya azimutjarak Kemudian click [OK], untuk masuk ke block editor template ketik di command:mapanntext (jika command line tidak terlihat tekan ctrl+9) tekan [enter], untuk membuat annotation text di group attribute, isikan tag, misal asimut Isikan Value: (ANGTOS (- (* 0.5 pi) .ANGLE) 1 4) Untuk setting rotasi Text biarkan saja Lakukan juga setting tinggi Text Click [OK], kemudian letakkan lokasinya di block editor ketik di command:mapanntext tekan [enter], untuk membuat annotation text di group attribute, isikan tag, misal jarak Isikan Value: (RTOS .LENGTH 2 4) Click [OK], kemudian letakkan lokasinya di block editor Lakukan Setting base point. Cara setting base point ada di post [CAD-MAP-11]: Labelling Titik Tinggi Menggunakan Annotation di AutocadMap Annotation template menjadi:

click tombol [close block editor] kemudian click OK untuk menutup kotak dialog [Define Annotation Template] 2. Insert Annotation ketik di command:MapAnnInsert pilih annotation template azimut jarak, kemudian click [Insert] Select atau pilih object Line yang akan diberi label Contoh hasil labeling dengan annotation dibandingkan dengan annotation di autocad:

3 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Hasil labelling tidak diputar sesuai dengan object linenya, karena property rotation tidak diset. Jika ingin label dirotasi, maka perlu di buat dua buah template yaitu template untuk azimut dan jarak. Kedua template tersebut di set rotation anglenya seperti pada langkah 5.1 B. Menulis text jarak dan azimut menggunakan Autolisp. Jika Anda tidak mempunyai modul Map terinstall di Autocad, maka tahapan di atas tidak bisa dilakukan. Saya telah membuat program Autolisp agar proses labelling asimut dan elevasi bisa dilakukan di Autocad tanpa modul Map. Dengan Autolisp, polyline tidak perlu di explode menjadi object Line dan object yang akan diberi label harus berupa polyline Copy Autolisp di bawah: (Defun c:LabelAsimutJarak() (vl-load-com)(gc);assure activex is loaded and free up memory (setq acaddoc (vla-get-activedocument (vlax-get-acad-object))) (setq mSpace (vlax-get-property acadDoc Modelspace)) (setq ent (car(entsel \nPilih Polyline>>))) (setq TinggiHuruf (getreal \nTinggi Huruf:)) (setvar OSMODE 0);setting osnap none (setq obj (vlax-ename->vla-object ent)) (setq nmObj (vla-get-objectname obj)) (if (= nmObj AcDbPolyline) (progn ;ambil koordinat dari polyline (setq ListCoord (vla-get-coordinates obj)) ;convert variant ke list (setq ListCoord (vlax-safearray->list (vlax-variant-value ListCoord))) (setq nvertex (/ (length ListCoord) 2)) ;ambil koordinat tiap vertex sepanjang polyline (setq i 0) (repeat nvertex (if (> i 1) (progn (setq xyTo (list (nth i ListCoord) (nth (+ i 1) ListCoord))) (setq Jarak (distance xyFrom xyTo)) (setq Sudut (angle xyFrom xyTo));dalam radian dari sumbu X (setq Azimut (- (* 0.5 pi) Sudut));sudut dari arah utara / Y (setq sAzimut (angtos Azimut 1 4));konversi radian ke der men det (setq xMid (* 0.5 (+ (nth 0 xyFrom) (nth 0 xyTo)))) (setq yMid (* 0.5 (+ (nth 1 xyFrom) (nth 1 xyTo)))) (setq xyMidAzimuth (list xMid yMid 0));insert point azimuth (setq xyMidJarak (list xMid (- yMid (* 2 TinggiHuruf)) 0));insert point jarak (setq xyMidAzimuth (vlax-3d-point xyMidAzimuth));convert to 3d-point variant (setq xyMidJarak (vlax-3d-point xyMidJarak));convert to 3d-point variant ;menulis text Azimuth (setq aText (vla-addtext mSpace sAzimut xyMidAzimuth TinggiHuruf)) (vla-put-rotation aText Sudut);rubah rotasi text (vla-update aText);update text ;menulis text Jarak (setq aText (vla-addtext mSpace (rtos Jarak 2 4) xyMidJarak TinggiHuruf)) (vla-put-rotation aText Sudut);rubah rotasi text

4 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

(vla-update aText);update text (setq xyFrom xyTo) );end progn (setq xyFrom (list (nth i ListCoord) (nth (+ i 1) ListCoord))) );end if (setq i (+ 2 i)) );end repeat );end progn );end if );end function Simpan file di atas sebagai *.lsp atau tambahkan ke koleksi autolisp Anda. Ketik di command:LabelAsimutJarak Pilih polyline dan masukkan tinggi huruf. contoh hasil dengan autolisp:

=selamat mencoba== Comments Off

January 21, 2012


[XLS-SVY-13]: Plotting Cross Section dari Excel ke AutoCAD Versi 1.0
Filed under: AutoCAD cadex @ 23:57 Tags: Macro Excel, VBA Excel Referensi : [XLS-SVY-007]: Plotting Cross Section dari Excel ke AutoCAD Platform : Autocad , Excel 2007/Excel 2003 Lokasi File : tersedia berdasarkan permintaan Pada posting [XLS-SVY-007]: Plotting Cross Section dari Excel ke AutoCAD, telah diuraikan tahapan untuk membuat gambar cross section dari file excel. Posting kali ini akan saya akan mencoba untuk versi plotting cross section dari excel ke autocad dengan beberapa fasilitas tambahan. Berikut adalah snap shot program vba-excel / macronya:

5 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Fasilitas tambahan seperti yang ditampilkan di atas adalah: Ada tambahan custom menu bar, sehingga tidak lagi menggunakan menu run macro Ada setting parameter skala horizontal, skala vertikal, tinggi huruf dan tinggi band (informasi baris) di bawah cross section Bisa memproses beberapa sheet sekaligus Setting elevasi datum Type labelling bisa di tiap perubahan slope atau di tiap pertambahan jarak. Bisa dilakukan checking cross section di excel dengan cara menggambarkan cross section dalam bentuk grafik atau chart secara otomatis. Contoh hasil plotting cross section di autocad dengan type labelling yang berbeda Labelling di tiap perubahan slope Labelling di tiap penambahan jarak

Silahkan kirim email beserta informasi: Versi Excel Versi Autocad Akan saya kirim file programnya berserta cara instalasinya karena berbeda untuk masing-masing versi autucad dan excel.

6 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

==zainul== Comments (2)

January 8, 2012
[CAD-MAP-11]: Labelling Titik Tinggi Menggunakan Annotation di AutocadMap
Filed under: Map cadex @ 23:15 Tags: Annotation Referensi : Annotating Maps di Autocad Help Platform : Civil 3D 2011 atau AutocadMap 2011 Lokasi File : Pada posing sebelumnya [CAD-MAP-09]: Mencoba Annotation Scale di AutoCAD telah diuraikan bagaimana cara membuat annotasi di autocad sehingga tulisan akan tampil atau terskala otomatis sesuai dengan skala yang kita pilih. Walaupun sebetulnya masih ada cara lain seperti menggunakan fasilitas autolisp ataupun menggunakan fasilitas query dengan alter properties di autocadmap, tetapai kali ini akan diuraikan cara menggunakan fasilitas annotasi yang hanya ada di autocadmap. Saya menggunakan civil 3D 2011, tetapi masih bisa menggunakan fasilitas anotasi tersebut karena secara otomatis program autocadmap secara default, walaupun tidak semua feature autocadmap terinstall saat instalasi civil 3D. Saya akan menggunakan feature annotasi untuk membuat label atau annotasi dari object point (titik) yang berupa hasil plotting tinggi. Berikut adalah properties dari salah satu titik yang ada di drawing cad:

Command: li LIST Select objects: 1 found Select objects: POINT Layer: "POINTS" Space: Model space Color: 2 (yellow) Linetype: "Continuous" Handle = a0 at point, X=748464.587 Y=153076.614 Z= 12.703 Elevasi atau titik tinggi akan ditulis (dilabeli) di titik tinggi tersebut dengan mengambil nili dari property Nilai Z. Tahapan membuat label titik tinggi dengan feature annotasi adalah: 1. Membuat Annotation Template Pada menu [Annotate], pilih Tab [Map Annotation] Click icon [Define Template], untuk menampilkan kotak dialog [Define Annotation Template] Click [New] untuk membuat template baru

7 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Masukkan nama template misalnya TitikTinggi Kemudian click [OK], untuk masuk ke block editor template ketik di command:mapanntext (jika command line tidak terlihat tekan ctrl+9) tekan [enter], untuk membuat annotation text di group attribute, isikan tag, misal Elevasi click icon di bagian value Expand (click tombol +) di group properties scroll ke bawah, kemudian pilih icon , kemudian click OK Lakukan setting text di group text options Lakukan setting penempatan layer dan color di group Object Properties

clik OK pilih lokasi di block editor di tool pallet block editor, pilih tab Parameters, kemudian click BasePoint

Letakkan lokasi basepoint di insertion point (osnap insert) tag Elevasi

click icon kemudian click OK untuk menutup kotak dialog [Define Annotation Template] 2. Insert Annotation Pada menu [Annotate], pilih Tab [Map Annotation]

click icon , pilih TitikTinggi, kemudian click Insert Pilih object point yang akan dilabeli Point telah terlabeli, sesuai dengan elevasi

8 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

==selamat mencoba=== Leave a Comment

January 7, 2012
[CAD-CIV-12]: Mengisi Elevasi Garis Kontur dari Text Label Kontur
Filed under: Civil3D cadex @ 10:33 Tags: Autolisp

Referensi Platform Lokasi File

: : :

Civil 3D 2011

Kadang kita menerima file CAD berisi garis kontur, biasanya berupa polyline, beserta labelnya. Tetapi setelah dicek properties dari polyline tersebut nilai elevasi dari poliline masih bernilai 0 atau tanpa elevasi. Keadaan seperti ini akan menyusahkan kita saat akan mengolah kontur tersebut untuk dijadikan surface di civil 3D. Kali ini saya akan berbagi bagaimana cara mengolah polyline tersebut sampai menjadi surface dalam civil 3D mulai dari mengambil object kontur dari file asal CAD. Karena saya menerima file CAD dalam format microstation (dgn), maka tahapan untuk pengolahannya adalah: 1. Import file dgn ke civil 3D 2. Cleanup Polyline 3. Mengisi Elevasi ke Polyline dengan Autolisp 4. Membuat Surface Detail tiap tahapannya adalah: 1. Import file microstation (dgn) ke civil 3D Terlebih dahulu, jalankan civil 3D dengan pilihan satuan metric. Jika menu command: prompt tidak tampil, tekan Ctrl+9 untuk menampilkannya. Masukkan perintah di command: dgnimport Pilih file yang akan diimport, kemudian click [OK] Zoom Extend untuk melihat hasil import

9 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

pilih atau select object kontur kemudian tekan Ctrl+1 untuk melihat propertiesnya Berdasarkan informasi dari properties: object kontur berupa Polyline ada di Layer [Level 58] dengan nilai Elevasi = 0.000 Lakukan hal yang sama untuk memilih object kontur yang lain untuk mengecek jika ada object kontur yang tersimpan dalam Layer yang berbeda. Dalam contoh di atas, object kontur tersimpan juga di Layer [Level 59] untuk kontur majornya.

Pilih object Label Kontur, kemudian check propertiesnya. Dalam contoh di atas, Label untuk kontur minor adalah berupa object Text tersimpan di layer [Level 58] sedangkan untuk label majornya ada di [Level 59] 2. Cleanup Polyline Matikan semua layer, kecuali [Layer 58] dan [Layer 59] zoom in ke group kontur berlabel, khusunya ke kontur berlabel yang rapat. Misalnya hasil zoom in seperti berikut:

Gambar di atas, terlihat beberapa garis kontur terpotong oleh labelnya. Garis kontur yang terpotong ini seharusnya digabung terlebih dahulu sebelum diproses pemberian elevasi yang akhirnya dibuat sebagai surface di civil 3D. Dengan fasilitas Tools>>Clean Up di autodeskmap (sudah terinstall di civil 3D), proses penggabungan ini bisa dilakukan secara otomatis. Ukur jarak kontur yang terpotong. Misal didapat Distance = 5.583 meter Dengan Clean Up bisa ditentukan bahwa semua polyline yang mempunyai gap maksimal 5.6 m akan dihubungkan atau digabung (join polyline). Tetapi perlu diperhatikan bahwa untuk kontur berlabel rapat hal ini akan meyebabkan salah penggabungan. Dalam gambar di atas yang dilingkari warna biru, karena jarak antara kontur minor dan majornya leboh kecil dari 5.583 m, maka polyline untuk kontur 12.5 akan menyambung ke kontur 13.0. Kesalahan ini tidak terjadi untuk daerah yang ditandai dengan kotak biru karena jarak antar kontur berlabel, lebih dari 5.583 Untuk menghindari kesalahan di atas, untuk kontur berlabel rapat harus dihubungkan secara manual sebelum dilakukan clean up Jika sudah dilakukan penggabungan di kontur berlabel rapat, maka kontur sudah siap untuk clean up masukkan perintah di command: mapclean Pilih [Select all], kemudian pilih lokasi layer tempat object yang akan di cleanup:

10 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Click [Next] Pilih [Cleanup Actions], [Snap Clustered Nodes], kemudian click [Add]. Masukkan Cleanup parameters tolerance 5.6m semua node yang mempunyai gap lebih kecil 5.6 meter akan digabungkan Pilih lagi [Cleanup Actions], [Dissolve Pseudo Nodes], kemudian click [Add] node yang sudah tergabung akan di join sebagai satu polyline

Click [Finish] Lakukan re-checking, jika ada polyline yang terhubung tidak benar, lakukan edit secara manual Gambar Kontur yang telah terhubung polylinenya

3. Mengisi Elevasi ke Polyline dengan Autolisp Agar polyline kontur tersebut bisa diubah menjadi surface, maka tiap polyline harus dipudate properties elevasinya sesuai dengan angka yang tertera di label. Proses update ini bisa dilakukan degan perintah command line command:_change. Contoh di bawah adalah merubah properties elevasi polyline menjadi 12. Command: _change Select objects: 1 found Select objects: Specify change point or [Properties]: p Enter property to change [Color/Elev/LAyer/LType/ltScale/LWeight/Thickness/TRansparency/Material/Annotative]: e Specify new elevation <12.000>: 12 Enter property to change [Color/Elev/LAyer/LType/ltScale/LWeight/Thickness/TRansparency/Material/Annotative]: Dengan cara di atas, kita akan selalu memasukkan (input) nila elevasi secara manual dan selalu mengulang perintah _change. Saya telah membuat program Autolisp sederhana yang bisa membaca angka di label kontur untuk kemudian dimasukkan ke properties elevasi polyline sesuai dengan nilai yang tertera di label. (Defun c:SetElev() ;;fungsi ini dipakai untuk merubah elevasi polyline kontur

11 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

;;sesuai dengan tulisan atau labelnya (contour label) ;;caranya adalah pilih labelnya terlebih dahulu, kemudian pilih polyline ;;yang akan diberi elevasi (vl-load-com)(gc) (setq acaddoc (vla-get-activedocument (vlax-get-acad-object))) (setq ent (car(entsel "\nPilih Text>>"))) (while (/= ent nil) (setq obj (vlax-ename->vla-object ent)) (setq nmObj (vla-get-objectname obj)) (if (= nmObj "AcDbText");;object harus bertype text (progn (setq elev (atof (vla-get-textstring obj))) (setq obj (vlax-ename->vla-object (car (entsel "\nPilih Polyline>>")))) (setq nmObj (vla-get-objectname obj)) (if (= nmObj "AcDbPolyline");;object harus bertype polyline (progn (setq nmLayer (vla-get-layer obj)) (vla-put-elevation obj elev);;rubah elevasi (vla-update obj);;update object );prgn "AcDbPolyline );end if );progn "AcDbText" );end if (setq ent (car(entsel "\nPilih Text>>"))) );end while ) Copy code autolisp di atas ke program notepad, kemudian save as dengan extensi *.lsp. Misal nama filenya adalah SetElevasiDariText.lsp Load autolisp SetElevasiDariText.lsp dengan mengetikkan perintah di command:appload Pilih filenya, kemudian click [Load] akhiri dengan clisk [Close] cara menjalankan programnya adalah Ketik di command:SetElev Pilih Label Kontur pada saat muncul perintah Pilih Text>> Kemudian Pilih Polyline yang akan dirubah elevasinya saat muncul perintah Pilih Polyline>> Begitu seterusnya, sehingga semua polyline terisi elevasi untuk mengakhirinya tekan tombol Enter atau ESC 4. Membuat Surface Apabila semua polyline sudah terisi elevasi, maka proses pembuatan surface dapat dimulai. Aktifkan toolspace civil 3D jika toolspace belum aktif dengan cara mengetik di command:showts Pada toolspace, pilih tab [Propector], kemudian click kanan [Surfaces], lalu pilih [Create Surface] Masukkan nama surface dan stylenya atau click [OK], jika akan memakai style dan nama sesuai dengan template yang aktif. Surface baru telah terbentuk :

Polyline kontur akan dimasukkan ke Surface1 dengan merubah polylines tersebut menjadi Breaklines. Karena dalam civil 3D belum saya temukan cara membuat surface dari polyline seperti yang ada di land development di bawah group Surface 1, Click kanan icon [Breaklines], kemudian pilih [Add Breaklines] Tulis Descriptionnya, pilih Type [Standard], akhiri dengan click [OK] Kemudian pilih kontur polylines nya.. Surface 1 sudah terbentuk. Lakukan editing surface untuk pengecekan lebih lanjut. ===selamat mencoba===

12 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Leave a Comment

December 22, 2011


[CAD-CIV-11]: Migrasi dari Land Development ke Civil 3D
Filed under: Civil3D cadex @ 21:09 Sebelumnya saya telah mempunyai data alignment dan surface (dtm) dalam format land development 2006 (LDD 2006). Karena LDD 2006 sudah saya upgrade ke Civil 3D 2011 dan pekerjaan yang terdahulu dilanjutkan lagi, maka perlu dilakukan migrasi dari LDD 2006 ke Civil 3D 2011. Sebelum dilakukan migrasi, berikut adalah informasi tentang LDD 2006 sebelumnya: Unit Coordinate System Zone : Meter : Indonesian Datum 1974 : 47N

Karena unit yang akan dipakai adalah meter, jalankan civil 3D dengan pilihan civil 3d metric 1. Setting Unit dan Coordinate System di Civil 3D, seperti yang telah diuraikan di section Membuat file Autocad Civil 3D dengan satuan metric

2. Import Surface atau DTM dari LDD. Pada Menu civil 3D 2011, pilih [Insert], kemudian di group [Import] pilih [Land Desktop] 2.1. Pilih lokasi path land desktop, kemudian nama projectnya. kemudian pilih object yang ingin diimport. Saya hanya import satu DTM dan beberapa alignment. 2.2. Kemudian click [OK].

Selamat mencobatrik sederhana di akhir tahun 2011 Leave a Comment

November 19, 2011


[GEN-SVY-01]: Coretan Rumus Tachymetri
Filed under: Tukang Ukur cadex @ 20:01 Tags: Land Survey, Rambu Ukur, Tachymetri

Saat buka-buka file lama di hard disk lama, menemukan spreadsheet excel yang berisi itungan rumus jarak dan beda tinggi metode tachymetri kiriman dari seorang surveyor. Dengan metode tachymetri, hitungan jarak dan beda tinggi dihitung dari pengukuran lapangan berupa data tinggi alat, bacaan sudut vertical(z), bacaan rambu pada posisi benang atas (bb), benang bawah(bb) dan benang atas (bb). Karena penasara ingin menurunkan rumus sendiri, kemudian ambil kertas dan mulailah coret-coret seperti ini:

13 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Leave a Comment

November 13, 2011


[XLS-PMG-06]:Fungsi Terbilang di Excel Tanpa Macro (Versi Mega Formula)
Filed under: Excel cadex @ 20:09 Tags: Spell Number Referensi : [XLS-PMG-02]: Rumus Terbilang di Excel (Tanpa Macro/VBA) Platform : Excel Lokasi File : Pada posting [XLS-PMG-02]: Rumus Terbilang di Excel (Tanpa Macro/VBA), diuraikan langkah membuat fungsi terbilang dengan menggunakan fasilitas named range. Pada posting tersebut menggunakan 21 (dua puluh satu) named ranges. Kelemahan dari fungsi terbilang di posting sebelumnya adalah mengharuskan user untuk selalu mengubah named range [Angka], jika angka yang akan disebutkan terbilangnya ada di sheet lain. Misalkan angka yang akan disebut terbilangnya ada di sheet [SheetBaru] Range [B1], maka range [Angka] yang sebelumnya refer ke [Angka]=TEXT(terbilang!A18,REPT("0",9)&".00") dirubah menjadi [Angka]=TEXT(SheetBaru!B1,REPT("0",9)&".00") Posting kali ini akan digunakan cara baru yaitu menggunakan satu formula yang panjang (Mega Formula) dan dua named range yang bersifat tetap atau konstan yang tidak perlu dirubah-rubah lagi jika akan meng-copy formula di sheet lain dalam satu workbook.

14 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Mega Formula menggunakan kombinasi fungsi excel yaitu empat fungsi manipulati text : TEXT(), REPT(), MID(), SUBSTITUTE() dan satu fungsi array : INDEX() Berikut adalah langkah-langkahnya: 1. Buat 2 (dua) named range Named Range Refer To frm ="000000000" Note maksimal angka 999999999 interger (tanpa desimal)

ListHuruf

={"","satu","dua","tiga","empat","lima","enam","tujuh","delapan","sembilan","sepuluh","sebelas","dua belas","tiga belas","empat belas","lima belas","enam belas","tujuh belas","delapan belas","sembilan belas"}

2. Misal angka yang akan disebut terbilangnya ada di [A2], maka rumus atau formula terbilangnya adalah =IF(LEN(A2)>LEN(frm),"#Maximal 9 digit angka bulat#", SUBSTITUTE(INDEX(ListHuruf,MID(TEXT(A2,frm),1,1)+1) &REPT(" ratus ",MID(TEXT(A2,frm),1,3)>99) &INDEX(ListHuruf,(MID(TEXT(A2,frm),2,2)<20)*MID(TEXT(A2,frm),2,2)+1) &INDEX(ListHuruf,(MID(TEXT(A2,frm),2,2)>19)*MID(TEXT(A2,frm),2,1)+1) &REPT(" puluh ",MID(TEXT(A2,frm),2,2)>19)&INDEX(ListHuruf,(MID(TEXT(A2,frm),2,2)>19)*MID(TEXT(A2,frm),3,1)+1) &REPT(" juta ",LEN(A2)>6) &INDEX(ListHuruf,MID(TEXT(A2,frm),4,1)+1) &REPT(" ratus ",MID(TEXT(A2,frm),4,3)>99) &INDEX(ListHuruf,(MID(TEXT(A2,frm),5,2)<20)*MID(TEXT(A2,frm),5,2)*(A2>=2000)+1) &INDEX(ListHuruf,(MID(TEXT(A2,frm),5,2)>19)*MID(TEXT(A2,frm),5,1)*(A2>=2000)+1) &REPT(" puluh ",MID(TEXT(A2,frm),5,2)>19) &INDEX(ListHuruf,(MID(TEXT(A2,frm),5,2)>19)*MID(TEXT(A2,frm),6,1)+1) &REPT("seribu ",(A2<2000)*(LEN(A2)=4)) &REPT(" ribu ",(A2>=2000)*(MID(TEXT(A2,frm),4,3)>0)) &INDEX(ListHuruf,MID(TEXT(A2,frm),7,1)+1) &REPT(" ratus ",MID(TEXT(A2,frm),7,3)>99) &INDEX(ListHuruf,(MID(TEXT(A2,frm),8,2)<20)*MID(TEXT(A2,frm),8,2)+1) &INDEX(ListHuruf,(MID(TEXT(A2,frm),8,2)>19)*MID(TEXT(A2,frm),8,1)+1) &REPT(" puluh ",MID(TEXT(A2,frm),8,2)>19) &INDEX(ListHuruf,(MID(TEXT(A2,frm),8,2)>19)*MID(TEXT(A2,frm),9,1)+1),"satu ratus","seratus")) Silahkan dicoba, jika ada yang salah penyebutan angkanya tolong aku diberitahu ya Text berwarna merah adalah revisi tanggal 13 November 2011. karena rumus sebelumnya memberikan penyebutan angka yang salah untuk 2000, 1000001, 11000001 dan membatasi angka hanya 9 digit integer. Terimakasih mas Anton (summonery@yahoo.com) atas debuggingnya.. -zainulLeave a Comment

October 16, 2011


[CAD-CIV-10]: Perhitungan Sudut Rata-Rata dari Set Pengukuran Sudut di Civil3D (.salah hitung????)
Filed under: Civil3D,Tukang Ukur cadex @ 21:55 Tags: fbk, survey command language, Surveying Reference : Creating an Observation Using a Face1 or Face2 Angle Platform : Civil 3D 2011 File : Pada posting sebelumnya telah diuraikan cara menghitung sudut dan jarak rata-rata dari beberapa set (seri) pengukuran sudut dan jarak menggunakan spreadsheet excel. Kali ini akan dicoba perhitungan rata-rata sudut dan jarak dengan civil 3d dan dicoba dibandingkan hasilnya. Sesuai dengan referensi di atas: You can then input the measurements, using the Face1 (direct) and Face2 commands. These commands apply collimation (if set), and automatically average the sightings after you input observations Face1 (direct) atau kode F1 bisa kita definisikan sebagai pengukuran dengan kedudukan alat dalam posisi Biasa, sedangkan Face2 atau F2 adalah posisi kedudukan alat Luar Biasa. Beda sudut antara F1 dan F2 biasanya mendekati 180 derajat. Data survey (observation) diinput ke civil 3d menggunakan fasilitas survey command language. Kumpulan dari Survey command language biasa disebut dengan istilah file fbk di civil 3D. Aplikasi atau cara setting bisa dilihat pada posting mengolah gambar cross section di civil 3d. Proses

15 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

konversi dari data yang telah ditulis di spreadsheet excel ke civil 3d akan menggunakan fasilitas fbk ini. Data di spreadsheet excel:

Catatan: ** Karena dalam civil 3d survey, kode point (titik) harus berupa angka bulat, maka untuk titik BMS1, BMS2 dan BMS3 dirubah menjadi angka bulat menjadi 1, 2 dan 3. ** Data ukuran yang akan dimasukkan adalah: kedudukan instrumen, target, bacaan sudut horisontal dan jarak horisontal (HD). ** unit jarak dinyatakan dalam METER dan sudut dalam format DMS. ** diasumsikan koordinat di titik 1 (BMS1) adalah (North,East) = (6000,5000), azimuth dari titik 1 ke 2 adalah 45 30 15 dalam format DMS ditulis 45.3015 Urutan survey command languange: No 1 2 3 4 5 6 7 8 9 10 11 12 13 Survey Command Language UNITS METER DMS NE 1 6000 5000 AZ 1 2 45.3015 STN 1 BMS1 BS 2 50.1128 F1 2 50.1128 266.411 BMS2 F1 3 65.1505 514.197 BMS3 F2 3 245.1458 514.189 F2 2 230.1121 266.408 F1 2 50.1132 266.41 F1 3 65.1509 514.197 F2 3 245.1450 514.192 F2 2 230.1125 266.409 Keterangan setting unit dalam meter dan sudut format DMS set koordinat di titik 1 adalah 6000N, 5000E azimuth dari titik 1 ke 2 45 30 15 posisi alat (kedudukan instrument) di titik 1 Back sight ke titik 2 Bacaan kedudukan alat Biasa ke titik 2 (BMS2)-Seri#1 Bacaan kedudukan alat Biasa ke titik 3 (BMS3)-Seri#1 Bacaan kedudukan alat Luar Biasa ke titik 3 Seri#2 Bacaan kedudukan alat Luar Biasa ke titik 2 Seri#2 Seri#3 Seri#3 Seri#4 Seri#4

Tulis atau copy simpan kumpulan survey command language dalam notepad (atau file ascii) dengan ekstensi fbk. Misal filenya dinamai poligon.fbk. 14. Jalankan program civil 3D, kemudia click/pilih toolspace survey Buat survey database baru, jika survey databases belum ada. 14.1. Click kanan [Survey Databases], kemudian pilih [New local survey database..] 14.2. Masukkan nama database, misal terestris01, kemudian click tombol [OK].

15. Edit survey database setting 15.1. Click kanan survey database [terestris01], kemudian piih [Edit survey database settings..] 15.2. Pada pilihan [Survey database setting], set pilihan sbb:

16 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Coordinate Zone: jangan dirubah, krn koordinat masih lokal Distance: Meter Angle: Degress DMS Direction: North Azimuth Saat ini cukup setting di atas, untuk setting yang lain akan dibahas di posting berikutnya. atau bisa juga dibaca di posting terdahulu

16. Buat Network baru. 16.1. Click icon [Networks] pada toolspace [survey], kemudian click [New] 16.2. Masukkan nama network, misal KKH 16.3. Jika diperlukan, masukkan juga keterangan deskripsinya. 16.4. Click OK Network baru bernama [KKH] seharunya sudah ada di group [Networks]

17. Import FBK (observation) ke network 17.1. Click kanan network [KKH], kemudian pilih [Import] 17.2. Pilih [Import field book], kemudian pilih file fbk yang telah disimpan hasil dari konversi spreadsheet. Hasil dari tahapan nomer 1 sampai 13. 17.3. Kemudian click OK

18. Check hasil import FBK 18.1. Click icon [Setups] di group network KKH 18.2. Click kanan baris di bawah [Station Point] 18.3 Pilih [Edit observations] 18.4. Akan ditampilkan data set pengukuran sudut dan jarak.

19. Check hasil hitungan rata-rata sudut dan jarak 19.1. Click kanan network [KKH], kemudian pilih [Survey Command Window..] 19.2. Pada kotak command: masukkan A213 perintah di atas adalah untuk melihat atau menampilkan sudut dari titik 2 ke titik 3 dengan station di titik 1. hasilnya adalah

17 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Angle: 15-03-31 19.3. Masukkan juga di kotak command: D12 perintah di atas adalah untuk menampilkan jarak dari titik 1 ke titik 2, hasilnya adalah Distance: 266.409

20. Membandingkan dengan hasil hitungan excel Civil 3D 15-03-31 266.409 Excel 15-03-34 266.409

Sudut Jarak Review:

Terlihat bahwa hasil hitungan sudut di civil 3D, berbeda dengan hasil hitungan di excel. Karena dalam online help civil 3D menyatakan bahwa: Face1/Face2 angles can be collected in any order. The only requirement is that the Face1 backsight be recorded first. If Face2 observations are recorded, then a corresponding Face2 backsight should also be recorded. In the case where Face2 foresight observations are recorded previous to the Face2 backsight, the Face2 backsight is assumed to be the Face1 backsight plus 180. Saya coba rubah urutan pengukuran di file FBK sehingga face2 foresight selalu tercatat sesudah backsight face2, ternyata hasil hitungannya tetep 15-03-31 bukan 15-03-34. Sepertinya civil 3D selalu memperlakukan Face2 backsight is assumed to be the Face1 backsight plus 180. Berikut hitungannya dengan menggunakan excel untuk membuktikan pernyataan di atas:

Kesimpulan: *** Untuk perhitungan sudut rata-rata (angle reduction), lebih baik menggunakan spreadsheet atau calculator. *** Jika ingin memasukkan data ukuran ke civil 3d khusus untuk sudut, sebaiknya masukkan nilai rata2 yang telah dihitung terlebih dahulu. ===saya sudah submit masalah ini ke autodesk, semoga segera mereka punya solusi tentang masalah ini==== Leave a Comment

October 4, 2011
[XLS-SVY-12]: Add-Ins Excel untuk Hitung Kuadrat Terkecil (HKT)
Filed under: Excel,Tukang Ukur cadex @ 22:35 Tags: Least Square, Visual Basic Application Referensi : Platform : Excel 2007, 2003 Lokasi File : https://skydrive.live.com /embedicon.aspx/Public /catatan%20juru%20ukur/XLS-SVY12.zip?cid=7b3122134b7f51a8& sc=documents Salah satu program least square adjustment yang pernah aku buat menggunakan visual basic application for excel. Silahkan didownload dan dicoba. Jika ada yang berminat untuk dikembangkan silahkan lihat source codenya di file terlampir. Untuk melihat source code, aktifkan terlebih dahulu visual basic editor. Jangan lupa cantumkan sumbernya .

18 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Contoh hasil running program:

===selamat mencoba=== Leave a Comment

[XLS-SVY-11]: Perhitungan rerata dan standard deviasi hasil pengukuran sudut dan jarak dari total station (theodolit)
Filed under: Excel,Tukang Ukur cadex @ 20:05 Tags: format number, Surveying

Referensi Platform Lokasi File

: : :

Excel https://skydrive.live.com /embedicon.aspx/Public /catatan%20juru%20ukur/XLS-SVY11.zip?cid=7b3122134b7f51a8& sc=documents

Saya mendapatkan data survey hasil pengukuran jaring trilateration kombinasi dengan triangulation dengan menggunakan total station. Data tersebut terdiri dari informasi tentang tempat berdiri alat, tinggi alat, tinggi target, target, bacaan sudut horisontal, bacaan sudut vertikal, jarak datar dan jarak miring.

19 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Tulisan kali ini akan saya fokuSkan bagaimana cara menghitung sudut horisontal dan jarak horisontal (HD). A. Menghitung rata-rata dan standar deviasi sudut horisontal. Format yang saya pakai untuk menghitung sudut adalah sebagai berikut :

[O5] [P5] [Q5] [R5] [S6]

=E5 =A5 =E6 =F5+G5/60+H5/3600 =IF(D6="B",R6-R5+IF(R5>R6,360),R5R6+IF(R6>R5,360))

Nama Target Backsight (BS) Kedudukan Instrument atau station (STN) Nama Target Foresight (FS) Konversi sudur derajat, menit,detik ke derajat desimal, copy rumus ini sampai ke [R12] menghitung sudut horisontal yaitu bacaan sudut FS dikurangi bacaan sudut BS. Penting!!!: Rumus ini berlaku jika urutan pengukuran sudutnya adalah B(Backsight)-B(Foresight)-LB(Foresight)-LB(Backsight) untuk urutan B(Backsight)-LB(Backsight)-LB(Foresight)-B(Foresight) silahkan dilihat di file attachment.

[S8],[S10],[S12] [T6] =S6/24

dicopy dari rumus di [S6] konversi sudut derajat desimal ke derajat-menit-detik dengan menggunakan format time di excel. set format number di [T6] menjadi [h] mm ss\"

20 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

untuk menampilkan symbol derajat: tekan tombol ALT, tahan tombol ALT kemudian tekan angka 176 di numeric pad, kemudian lepaskan tombol ALT. Jika menggunakan laptop, numeric pad akan aktif jika tombol number lock diaktifkan. Posisi tombol akan berbeda tergantung merk dan type laptop. Contoh saya menggunakan laptop hp pavilium dv3, tombol number lock diaktifkan dengan menekan bersama-sama tombol Fn+shitf+numlk. Penting!!!: Rumus menggunakan format jam ini berlaku jika nilai sudutnya selalu positif [T8],[T10],[T12] [U5] =AVERAGE(T6:T12) [V5] =STDEV(T6:T12) copy rumus dari [T6] menghitung sudut rata-rata menghitung standar deviasi copy rumus [U5:V5] ke [U14:V14]

B. Menghitung rata-rata dan standard deviasi jarak horisontal Format yang saya pakai untuk menghitung jarak adalah:

sebelum mulai perhitungan jarak, perlu didefinisikan ID penggal jarak. Jarak rata2 dan standar deviasi akan dihitung jika mempunya id yang sama. Jika pengukuran jarak dimulai dari station (STN) BMS1 dan target (FS) adalah BMS2 maka ID nya harus sama dengan pengkuran sebaliknya STN di BMS2 dan FS di BMS1 List ID penggal jarak didefinikan di kolom AC, AD dan AE. Perlu diperhatikan bahwa nama station(STN) dan foresight(FS) harus sama persis, jika tidak maka akan terjadi kesalah perhitungan di rata-rata dan standard deviasi. BMS1 tidak sama dengan BMS 1. Tips: saat pengolahan data seperti ini, untuk menghindari salah hitung sebaiknya nama (id) titik berupa angka saja tanpa ada karakter. [AA5] =SUM((((X5=$AD$5:$AD$13)*(Y5=$AE$5:$AE$13)+ (Y5=$AD$5:$AD$13)*(X5=$AE$5:$AE$13))=1)*$AC$5:$AC$13) Formula array: setelah menulis rumusnya, akhir dengan (CTRL+SHIFT+ENTER) Berfungsi untuk mencari ID penggal garis dari list ID yang sudah didefinisikan di kolom [AC], [AD] dan [AE] Formula array: untuk menghitung rata-rata di penggal garis sesuai dengan id di [AC5] Formula array: menghitung standar deviasi

[AA6:AA12] copy rumus dari [AA5] [AF5] =AVERAGE(IF($AA$5:$AA$89=AC5,$Z$5:$Z$89)) [AG5] =STDEV(IF($AA$5:$AA$89=AC5,$Z$5:$Z$89)) [AF6:AG13] copy [AF5:AG5] ==silahkan dicoba==

21 of 22

11/02/2012 13:03

coretan tentang autocad dan excel

http://cadex.wordpress.com/

Comments (1) Next Page

February 2012 S M T W T F S 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 Jan

Pages
Curriculum Vitae Tentang blog ini

Categories
AutoCAD Civil3D Excel Map Project Management Tukang Ukur

Theme: Rubric. Blog at WordPress.com.

22 of 22

11/02/2012 13:03